Bug 158766 - Using keyboard with timeline view
Summary: Using keyboard with timeline view
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Searches-TimeLine (show other bugs)
Version: 0.9.3
Platform: Ubuntu Packages Linux
: NOR wishlist with 1 vote (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-03-04 16:44 UTC by Fabien
Modified: 2012-06-27 07:39 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 2.6.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fabien 2008-03-04 16:44:22 UTC
Version:            (using KDE 3.5.8KDE 3.5.6)
Installed from:    Ubuntu PackagesUbuntu Packages
OS:                Linux

The timeline feature is really nice, but I'm thinking of some improvements :)
It would be great to be able to use the keyboard (eg. right/left arrows to move the cursor, space for selection) to make the selection in the timeline view.

Also some more minor things :

* the number of items is alone at the right without any description. Maybe one could add "xxx items."

* I think it would be better to display the date in reverse order, eg :
2007 May 09, Wednesday

* when in week view, it would be great to also add dates (eg 18-24)


Finally, for usuability reasons, it would help beginners to have some help text in the right panel when there's no selection (a bit like the welcome page you have when you click on albums).

Voila... :)
Comment 1 Mikolaj Machowski 2008-03-05 18:55:18 UTC
> * the number of items is alone at the right without any description.
> Maybe one could add "xxx items."

+1
> * I think it would be better to display the date in reverse order, eg :
> 2007 May 09, Wednesday

-1 date should follow system wide locale
> * when in week view, it would be great to also add dates (eg 18-24)

+1 week number is very abstract thing
Comment 2 Islam Wazery 2012-04-16 11:57:34 UTC
Hi Fabien,

I will add the keyboard feature, but we can't use right/left arrows and the space buttons as they are already used in album view, I think we can use J/K to traverse in the timeline without a need for a third button (space) for selection. Also I will add the word items after the number of images, and the range of days for the week.

One last thing, can you elaborate more on what to add in the right panel?

Thanks
Comment 3 Islam Wazery 2012-04-20 07:16:22 UTC
Git commit b2724f5a536233df577bb24e92f9f8776369a0dc by Islam Wazery.
Committed on 20/04/2012 at 09:15.
Pushed by wazery into branch 'master'.

Added keyboard shortcuts to timeline view

M  +1    -1    NEWS
M  +127  -44   digikam/date/timelinewidget.cpp
M  +4    -0    digikam/date/timelinewidget.h
M  +4    -1    digikam/views/leftsidebarwidgets.cpp

http://commits.kde.org/digikam/b2724f5a536233df577bb24e92f9f8776369a0dc